Package Base Details: iup

Git Clone URL: https://aur.archlinux.org/iup.git (read-only)
Submitter: None
Maintainer: daurnimator (blueowl)
Last Packager: blueowl
Votes: 10
Popularity: 0.000001
First Submitted: 2009-09-13 15:00
Last Updated: 2019-06-14 12:12

Latest Comments

« First ‹ Previous 1 2 3 4

mihaim commented on 2012-02-11 18:51

Fixed the PKGBUILD.

joesri commented on 2012-02-08 14:22

Hi. I have got the following error message when making the package:

Tecmake: linking iupview ...
g++ -o ../bin/Linux32_64/iupview ../obj/iupview/Linux32_64/iup_view.o ../lib/Linux32_64/libiupim.a ../lib/Linux32_64/libiupimglib.a ../lib/Linux32_64/libiupcontrols.a ../lib/Linux32_64/libiupcd.a ../lib/Linux32_64/libiupgl.a ../lib/Linux32_64/libiup.a /usr/lib/libcd.a /usr/lib/libim.a -L/usr/X11R6/lib64 -lGLU -lGL -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangox-1.0 -lgdk_pixbuf-2.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lXmu -lXt -lXext -lX11 -lm
/usr/bin/ld: /usr/lib/libcd.a(cd_truetype.o): undefined reference to symbol 'FT_Init_FreeType'
/usr/bin/ld: note: 'FT_Init_FreeType' is defined in DSO /usr/lib/libfreetype.so.6 so try adding it to the linker command line
/usr/lib/libfreetype.so.6: could not read symbols: Invalid operation
collect2: ld returned 1 exit status
make[2]: *** [../bin/Linux32_64/iupview] Error 1
make[1]: *** [iupview] Error 2
make: *** [iupview] Error 2

mihaim commented on 2011-08-20 16:12

I fixed that by modifying the Makefile configuration at build time. The webkit library is now named differently, libwebkitgtk instead of libwebkit, then next iup release will likely update to the new convention. Thanks to the report, I added libwebkit as a build dependency.

gsg commented on 2011-08-19 17:10

When trying to install I get this error:


Tecmake: linking libiupweb.so ...
gcc -shared -o ../lib/Linux30-ARCH_64/libiupweb.so ../obj/iupweb/Linux30-ARCH_64/iup_webbrowser.o ../obj/iupweb/Linux30-ARCH_64/iupgtk_webbrowser.o -L../lib/Linux30-ARCH_64 -liup -lwebkit-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangox-1.0 -lgdk_pixbuf-2.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lm
/usr/bin/ld: cannot find -lwebkit-1.0
collect2: ld returned 1 exit status
make[2]: *** [../lib/Linux30-ARCH_64/libiupweb.so] Error 1
make[1]: *** [iupweb] Error 2
make: *** [iupweb] Error 2

gsg commented on 2011-08-19 16:36

When trying to install I get this error:


Tecmake: linking libiupweb.so ...
gcc -shared -o ../lib/Linux30-ARCH_64/libiupweb.so ../obj/iupweb/Linux30-ARCH_64/iup_webbrowser.o ../obj/iupweb/Linux30-ARCH_64/iupgtk_webbrowser.o -L../lib/Linux30-ARCH_64 -liup -lwebkit-1.0 -lgtk-x11-2.0 -lgdk-x11-2.0 -lpangox-1.0 -lgdk_pixbuf-2.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -lglib-2.0 -lm
/usr/bin/ld: cannot find -lwebkit-1.0
collect2: ld returned 1 exit status
make[2]: *** [../lib/Linux30-ARCH_64/libiupweb.so] Error 1
make[1]: *** [iupweb] Error 2
make: *** [iupweb] Error 2

oslik commented on 2011-02-21 17:40

Set of fixes:

1) Disable deprecated check (will not compile otherwise)
config.patch: http://aur.pastebin.com/b0SMX7Y3

2) Set gdk-pixbuf-2.0 path (also breaks compilation)
makfiles.patch: http://aur.pastebin.com/eDZWLbLk

3) Symlink lua binary modules to standard lua 5.1 path
PKGBUILD: http://aur.pastebin.com/pBYW0ysf

... and don't forget to fix md5 for patches from pastebin :-)

oslik commented on 2011-02-21 17:36

Set of fixes:

1) Disable deprecated check (will not compile otherwise)
config.patch: http://aur.pastebin.com/ppyersTG

2) Set gdk-pixbuf-2.0 path (also breaks compilation)
makfiles.patch: http://aur.pastebin.com/eDZWLbLk

3) Symlink lua binary modules to standard lua 5.1 path
PKGBUILD: http://aur.pastebin.com/pBYW0ysf

... and don't forget to fix md5 for patches from pastebin :-)

Anonymous comment on 2010-07-22 08:25

I adopted the package, upgraded version tried it with the C examples, and it appears to work well.
The libcd and libim packages are needed as well.
lua bindings are there but untried.

Anonymous comment on 2010-07-19 20:47

see my comment in im, thanks.

hollunder commented on 2010-07-19 18:25

Hi.
I thought there are a few things wrong with this package, but the closer I look the more I realise that it's pretty much totally broken. Please fix it up or probably easier, rewrite.